Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::AutoControlSettingsObserver Class Reference

Auto control settings observer. More...

Inheritance diagram for ArgusSamples::AutoControlSettingsObserver:

List of all members.

## Public Member Functions
| AutoControlSettingsObserver (Argus::IAutoControlSettings *iAutoControlSettings)
virtual | ~AutoControlSettingsObserver ()
virtual bool | isInterface (Argus::Interface *interface) const
| Check if this is the observer for the given interface.
Public Member Functions inherited from ArgusSamples::IObserverForInterface
virtual | ~IObserverForInterface ()

## Private Member Functions
bool | onAeAntibandingModeChanged (const Observed &source)
bool | onAeLockChanged (const Observed &source)
bool | onAwbLockChanged (const Observed &source)
bool | onAwbModeChanged (const Observed &source)
bool | onExposureCompensationChanged (const Observed &source)
bool | onIspDigitalGainRangeChanged (const Observed &source)

## Private Attributes
Argus::IAutoControlSettings * | m_iAutoControlSettings

## Detailed Description

Auto control settings observer.

Update Argus auto control settings if values which are set through the auto control settings change.

Definition at line 402 of file Dispatcher.cpp.

## Constructor & Destructor Documentation

ArgusSamples::AutoControlSettingsObserver::AutoControlSettingsObserver | ( | Argus::IAutoControlSettings * | iAutoControlSettings | ) |
| inline

Definition at line 405 of file Dispatcher.cpp.

virtual ArgusSamples::AutoControlSettingsObserver::~AutoControlSettingsObserver | ( |  | ) |
| inline virtual

Definition at line 431 of file Dispatcher.cpp.

## Member Function Documentation

virtual bool ArgusSamples::AutoControlSettingsObserver::isInterface | ( | Argus::Interface * | interface | ) | const
| inline virtual

Check if this is the observer for the given interface.

Parameters:

  interface | [in]

Implements ArgusSamples::IObserverForInterface.

Definition at line 455 of file Dispatcher.cpp.

bool ArgusSamples::AutoControlSettingsObserver::onAeAntibandingModeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 461 of file Dispatcher.cpp.

bool ArgusSamples::AutoControlSettingsObserver::onAeLockChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 478 of file Dispatcher.cpp.

bool ArgusSamples::AutoControlSettingsObserver::onAwbLockChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 492 of file Dispatcher.cpp.

bool ArgusSamples::AutoControlSettingsObserver::onAwbModeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 506 of file Dispatcher.cpp.

bool ArgusSamples::AutoControlSettingsObserver::onExposureCompensationChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 520 of file Dispatcher.cpp.

bool ArgusSamples::AutoControlSettingsObserver::onIspDigitalGainRangeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 537 of file Dispatcher.cpp.

## Member Data Documentation

Argus::IAutoControlSettings* ArgusSamples::AutoControlSettingsObserver::m_iAutoControlSettings
| private

Definition at line 553 of file Dispatcher.cpp.

The documentation for this class was generated from the following file:

- modules/Dispatcher.cpp